Package org.bukkit.block.data

# Enum Class FaceAttachable.AttachedFace

java.lang.Object
java.lang.Enum<FaceAttachable.AttachedFace>
org.bukkit.block.data.FaceAttachable.AttachedFace

All Implemented Interfaces:
  `Serializable`, `Comparable<FaceAttachable.AttachedFace>`, `Constable`

Enclosing interface:
  FaceAttachable

public static enum FaceAttachable.AttachedFace extends Enum<FaceAttachable.AttachedFace>
The face to which a switch type block is stuck.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CEILING`
The switch is mounted to the ceiling and pointing dowanrds.
`FLOOR`
The switch is mounted to the floor and pointing upwards.
`WALL`
The switch is mounted to the wall.

## Method Summary

Modifier and Type
Method
Description
`static FaceAttachable.AttachedFace`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FaceAttachable.AttachedFace[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FLOOR

public static final FaceAttachable.AttachedFace FLOOR
The switch is mounted to the floor and pointing upwards.

### WALL

public static final FaceAttachable.AttachedFace WALL
The switch is mounted to the wall.

### CEILING

public static final FaceAttachable.AttachedFace CEILING
The switch is mounted to the ceiling and pointing dowanrds.

## Method Details

### values

public static FaceAttachable.AttachedFace[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FaceAttachable.AttachedFace valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null